[!!!][BUGFIX] Correct "required"-parameter in TextfieldViewHelper
[Packages/TYPO3.CMS.git] / typo3 / sysext / core / Documentation / Changelog / master / Breaking-67098-CorrectRequired-parameterInTextfieldViewHelper.rst
1 ====================================================================
2 Breaking: #67098 - Correct required-parameter in TextfieldViewHelper
3 ====================================================================
4
5 Description
6 ===========
7
8 The value comparison of the required parameter is corrected. Before, a textfield was required as soon as it had a parameter "required" set to any value. Even if this value was set to FALSE, the textfield was still required.
9
10
11 Impact
12 ======
13
14 Textfelds with required="FALSE" are not required any longer.
15
16
17 Affected Installations
18 ======================
19
20 Every installation that uses the textfield viewhelper with the required attribute.
21
22
23 Migration
24 =========
25
26 none